<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__string__utils_8h" kind="file" language="C++">
    <compoundname>cy_string_utils.h</compoundname>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__string__func_1ga98fd7b096c4a81eebf0955b0b32c86b5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t cy_generic_string_to_unsigned</definition>
        <argsstring>(const char *str)</argsstring>
        <name>cy_generic_string_to_unsigned</name>
        <param>
          <type>const char *</type>
          <declname>str</declname>
        </param>
        <briefdescription>
<para>Convert a decimal or hexidecimal string to an integer. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">str</parametername>
</parameternamelist>
<parameterdescription>
<para>The string containing the value.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The value represented by the string. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_string/cy_string_utils.h" line="37" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__string__func_1ga430e6dd6a7c7742d6519d590df60ddfb" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint8_t</type>
        <definition>uint8_t cy_string_to_signed</definition>
        <argsstring>(const char *string, uint16_t str_length, int32_t *value_out, uint8_t is_hex)</argsstring>
        <name>cy_string_to_signed</name>
        <param>
          <type>const char *</type>
          <declname>string</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>str_length</declname>
        </param>
        <param>
          <type>int32_t *</type>
          <declname>value_out</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>is_hex</declname>
        </param>
        <briefdescription>
<para>Converts a decimal/hexidecimal string (with optional sign) to a signed long int Better than strtol or atol or atoi because the return value indicates if an error occurred. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">string</parametername>
</parameternamelist>
<parameterdescription>
<para>: The string buffer to be converted </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">str_length</parametername>
</parameternamelist>
<parameterdescription>
<para>: The maximum number of characters to process in the string buffer </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">value_out</parametername>
</parameternamelist>
<parameterdescription>
<para>: The unsigned in that will receive value of the the decimal string </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">is_hex</parametername>
</parameternamelist>
<parameterdescription>
<para>: 0 = Decimal string, 1 = Hexidecimal string</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>the number of characters successfully converted (including sign). i.e. 0 = error </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_string/cy_string_utils.h" line="51" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__string__func_1gaef4a65ee7f6454d38bdb5342ed24089e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint8_t</type>
        <definition>uint8_t cy_string_to_unsigned</definition>
        <argsstring>(const char *string, uint8_t str_length, uint32_t *value_out, uint8_t is_hex)</argsstring>
        <name>cy_string_to_unsigned</name>
        <param>
          <type>const char *</type>
          <declname>string</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>str_length</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>value_out</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>is_hex</declname>
        </param>
        <briefdescription>
<para>Converts a decimal/hexidecimal string to an unsigned long int Better than strtol or atol or atoi because the return value indicates if an error occurred. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">string</parametername>
</parameternamelist>
<parameterdescription>
<para>: The string buffer to be converted </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">str_length</parametername>
</parameternamelist>
<parameterdescription>
<para>: The maximum number of characters to process in the string buffer </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">value_out</parametername>
</parameternamelist>
<parameterdescription>
<para>: The unsigned in that will receive value of the the decimal string </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">is_hex</parametername>
</parameternamelist>
<parameterdescription>
<para>: 0 = Decimal string, 1 = Hexidecimal string</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>the number of characters successfully converted. i.e. 0 = error </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_string/cy_string_utils.h" line="66" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/*</highlight></codeline>
<codeline lineno="2"><highlight class="comment"><sp />*<sp />$<sp />Copyright<sp />2019-YEAR<sp />Cypress<sp />Semiconductor<sp />Apache2<sp />$</highlight></codeline>
<codeline lineno="3"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="4"><highlight class="normal" /></codeline>
<codeline lineno="5"><highlight class="normal" /><highlight class="comment">/*</highlight></codeline>
<codeline lineno="6"><highlight class="comment"><sp />*<sp />@file</highlight></codeline>
<codeline lineno="7"><highlight class="comment"><sp />*<sp />The<sp />string<sp />utilities<sp />module<sp />is<sp />a<sp />collection<sp />of<sp />string<sp />conversion<sp />helpers<sp />to<sp />convert<sp />between<sp />integer<sp />and<sp />strings</highlight></codeline>
<codeline lineno="8"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="9"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="10"><highlight class="normal" /></codeline>
<codeline lineno="11"><highlight class="normal" /><highlight class="preprocessor">#ifndef<sp />__CY_STRING_H__</highlight><highlight class="normal" /></codeline>
<codeline lineno="12"><highlight class="normal" /><highlight class="preprocessor">#define<sp />__CY_STRING_H__</highlight><highlight class="normal" /></codeline>
<codeline lineno="13"><highlight class="normal" /></codeline>
<codeline lineno="14"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="15"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="16"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="17"><highlight class="normal" /></codeline>
<codeline lineno="18"><highlight class="normal" /><highlight class="comment">/*****************************************************************************/</highlight></codeline>
<codeline lineno="27"><highlight class="comment">/*****************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal">uint32_t<sp /><ref kindref="member" refid="group__group__string__func_1ga98fd7b096c4a81eebf0955b0b32c86b5">cy_generic_string_to_unsigned</ref>(<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">char</highlight><highlight class="normal">*<sp />str<sp />);</highlight></codeline>
<codeline lineno="38"><highlight class="normal" /></codeline>
<codeline lineno="51"><highlight class="normal">uint8_t<sp /><ref kindref="member" refid="group__group__string__func_1ga430e6dd6a7c7742d6519d590df60ddfb">cy_string_to_signed</ref>(<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">char</highlight><highlight class="normal">*<sp /></highlight><highlight class="keywordtype">string</highlight><highlight class="normal">,<sp />uint16_t<sp />str_length,<sp />int32_t*<sp />value_out,<sp />uint8_t<sp />is_hex<sp />);</highlight></codeline>
<codeline lineno="52"><highlight class="normal" /></codeline>
<codeline lineno="53"><highlight class="normal" /></codeline>
<codeline lineno="66"><highlight class="normal">uint8_t<sp /><ref kindref="member" refid="group__group__string__func_1gaef4a65ee7f6454d38bdb5342ed24089e">cy_string_to_unsigned</ref>(<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">char</highlight><highlight class="normal">*<sp /></highlight><highlight class="keywordtype">string</highlight><highlight class="normal">,<sp />uint8_t<sp />str_length,<sp />uint32_t*<sp />value_out,<sp />uint8_t<sp />is_hex<sp />);</highlight></codeline>
<codeline lineno="67"><highlight class="normal" /></codeline>
<codeline lineno="70"><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="71"><highlight class="normal">}</highlight></codeline>
<codeline lineno="72"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="73"><highlight class="normal" /></codeline>
<codeline lineno="74"><highlight class="normal" /></codeline>
<codeline lineno="75"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />__CY_STRING_H__<sp />*/</highlight><highlight class="preprocessor" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_string/cy_string_utils.h" />
  </compounddef>
</doxygen>